Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002186TestLinkReportspublic2009-03-03 21:452009-04-05 00:42
Reporterjohnzan 
Assigned Toschlundus 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 5 
Fixed in Version1.8.0 
Summary0002186: Header output on test report and test plan (HTML)
DescriptionThis was reported on the forum by the user mkbutler, but no issue exists so I'm creating one now. I also experience this with 1.8 RC5

I ran the Test Plan report with none of the checkboxes filled out (Not even the default) and got the text below in the header. I'm pretty sure it's not supposed to be there but I'm not sure it's not just a configuration issue. This didn't happen with 1.8 RC2 which is the last one I was using.

*It's worth noting that the message below gets split into two parts if I select to have the Table Of Contents displayed.

>>>Array ( [toc] => [body] => [summary] => 1 [header] => [passfail] => [author] => [requirement] => [keyword] => [testplan] => [metrics] => [toc_numbers] => Array ( [1] => 0 ) ) Array ( [level] => testproject [id] => 1 [type] => testplan [docTestPlanId] => 2 [summary] => y [PHPSESSID] => 7801a334769fb1e6d24006cf6fdd9da1 [ys-requirement_spec1_ext-comp-1001] => a:s%3A/1/324/325^s%3A/1/324/1194^s%3A/1/5/6 [ys-tproject_1_ext-comp-1001] => a:s%3A/1/197^s%3A/1/11/12/8 [ys-tproject_1284_ext-comp-1001] => a:s%3A/1284 [ys-requirement_spec1284_ext-comp-1001] => a:s%3A/1284/1286^s%3A/1284/1287/1290^s%3A/1284/1287/1292 [ys-planaddtc_1_1_ext-comp-1001] => a:s%3A/1/11/12 [ys-undefinedext-comp-1001] => a:s%3A/1/11/12/8 [ys-1_ext-comp-1001] => a:s%3A/1 )

If I select the first three options I get the following...

>>>Array ( [toc] => 1 [body] => [summary] => 1 [header] => 1 [passfail] => [author] => [requirement] => [keyword] => [testplan] => [metrics] => [toc_numbers] => Array ( [1] => 0 ) [tocCode] =>

Regards,
J.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox & Safari
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0002166closedfman Fatal error when printing requirements 

-  Notes
(0005699)
naiara_trueba (reporter)
2009-03-03 21:51

This happens to me as well.
(0005700)
fman (administrator)
2009-03-03 22:08

get code attached to ISSUE 2166 and retest
(0005702)
naiara_trueba (reporter)
2009-03-03 22:15

It still happens even with fix-2166.
(0005704)
johnzan (reporter)
2009-03-03 22:41

I can confirm that this does not fix the issue. I replaced the files and logged out, cleared cache, cookies etc etc and logged back in. I then ran the report and the same output is displayed.

Regards,
John
(0005707)
johnzan (reporter)
2009-03-03 23:28
edited on: 2009-03-03 23:32

One thing I have also noticed is that if I select the 'Table of Contents' check-box is that this is displayed before the main page. Not sure if this is related but thought that I should mention it in case this helps in troubleshooting the issue. Basically, it displays a table of contents, the main page and then the table of contents.

(0005714)
schlundus (reporter)
2009-03-04 03:28

Already fixed
(0005721)
johnzan (reporter)
2009-03-04 15:30

Hi Thanks for the speedy turnaround :)

I'm searching this issue for the fix but can't find anything, there is no fix attached or am I loosing it :)
I can only see the last comment, "Already fixed".

What is the fix?

Thanks,
J.
(0005725)
fman (administrator)
2009-03-04 17:16

solution is on related issue 2166
(0005726)
johnzan (reporter)
2009-03-04 17:43

Hi,

I uploaded the new files, logged out and cleared all cache, cookies etc. etc. but still see this ...

------8<----start ------------------------------------
>>>Array ( [toc] => [body] => [summary] => 1 [header] => [passfail] => [author] => [requirement] => [keyword] => [testplan] => [metrics] => [toc_numbers] => Array ( [1] => 0 ) ) Array ( [level] => testsuite [id] => 170 [type] => testplan [docTestPlanId] => 2 [summary] => y [PHPSESSID] => 3cca189819bfc7606119b15a0554f1c9 [ys-1_ext-comp-1001] => a:s%3A/1 )
------8<----end ------------------------------------

I don't get any "Fatal error when printing requirements" message, so I wonder if issue 2166 is related to this specific issue.

The steps that I use are as follows:

[1]. Log on
[2]. Select a project
[3]. Click on the 'Test Plan' link on the left hand side list of options - Report Format left at default (HTML)
[4]. Accept the default 'Test Case Summary' - do not select any other options
[5]. Click on the top level node in the tree (Select the top line in tree menu for all..... )

Is there any setting I can change/log file etc. that I can provide to help with troubleshooting this?

Thanks,
John.
(0005730)
slim_bigo (reporter)
2009-03-04 18:24

Try to do this:
Open file lib\results\printDocument.php

find next strings:
echo '>>>'.$printingOptions['metrics'];
print_r($printingOptions);
print_r($_REQUEST);
print_r($doc_data->statistics);

Comment it or delete
(0005731)
johnzan (reporter)
2009-03-04 18:33

Hi,

In the file you mention I have the following...

echo '>>>'.$printingOptions['metrics'];
print_r($printingOptions);
print_r($_REQUEST);

The last line you mention -> print_r($doc_data->statistics);
does not exist.

I commented the three lines out and that has solved the problem.

Just for reference, here's the header of the file that I have..

----8<-- snip ---------------------------------
<?php
/**
 * TestLink Open Source Project - http://testlink.sourceforge.net/ [^]
 * This script is distributed under the GNU General Public License 2 or later.
 *
 * Filename $RCSfile: printDocument.php,v $
 *
 * @version $Revision: 1.22 $
 * @modified $Date: 2009/02/26 17:12:09 $ by $Author: havlat $
 * @author Martin Havlat
 *
 * SCOPE:
 * Generate documentation Test report based on Test plan data.
 *
 * Revisions :
 * 20090213 - havlatm - support for OpenOffice
 * 20081207 - franciscom - BUGID 1910 - fixed estimated execution time computation.
 * 20070509 - franciscom - added Contribution BUGID
 *
 */

----8<-- snip ---------------------------------

Thanks a million for your help with this, it's much appreciated.

Regards,
J.
(0005732)
johnzan (reporter)
2009-03-04 18:39

I am now seeing the same issue with the test report when I choose the 'Metrics' option
(0005738)
schlundus (reporter)
2009-03-04 23:39

Get latest code from CVS

- Issue History
Date Modified Username Field Change
2009-03-03 21:45 johnzan New Issue
2009-03-03 21:45 johnzan Browser => Firefox & Safari
2009-03-03 21:51 naiara_trueba Note Added: 0005699
2009-03-03 22:07 fman Relationship added related to 0002166
2009-03-03 22:08 fman Note Added: 0005700
2009-03-03 22:08 fman Assigned To => fman
2009-03-03 22:08 fman Status new => feedback
2009-03-03 22:15 naiara_trueba Note Added: 0005702
2009-03-03 22:41 johnzan Note Added: 0005704
2009-03-03 23:28 johnzan Note Added: 0005707
2009-03-03 23:32 johnzan Note Edited: 0005707
2009-03-04 03:22 schlundus Status feedback => assigned
2009-03-04 03:22 schlundus Assigned To fman => schlundus
2009-03-04 03:28 schlundus Status assigned => resolved
2009-03-04 03:28 schlundus Fixed in Version => 1.8.0
2009-03-04 03:28 schlundus Resolution open => fixed
2009-03-04 03:28 schlundus Note Added: 0005714
2009-03-04 15:30 johnzan Status resolved => assigned
2009-03-04 15:30 johnzan Resolution fixed => reopened
2009-03-04 15:30 johnzan Note Added: 0005721
2009-03-04 17:16 fman Note Added: 0005725
2009-03-04 17:43 johnzan Note Added: 0005726
2009-03-04 18:24 slim_bigo Note Added: 0005730
2009-03-04 18:33 johnzan Note Added: 0005731
2009-03-04 18:39 johnzan Note Added: 0005732
2009-03-04 23:39 schlundus Status assigned => resolved
2009-03-04 23:39 schlundus Resolution reopened => fixed
2009-03-04 23:39 schlundus Note Added: 0005738
2009-04-05 00:42 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker